> ## Documentation Index
> Fetch the complete documentation index at: https://developer.findity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List exports

> Returns a paginated list of all exports.



## OpenAPI

````yaml /openapi/findity-connect-api.json get /organizations/{organizationId}/exports
openapi: 3.0.3
info:
  title: Findity Connect API
  description: Findity Connect API
  version: 1.0.0
servers:
  - url: https://stage-api.findity.com/api/v1/connect
  - url: https://api.findity.com/api/v1/connect
security:
  - bearerAuth: []
paths:
  /organizations/{organizationId}/exports:
    get:
      tags:
        - Exports
      summary: List exports
      description: Returns a paginated list of all exports.
      parameters:
        - $ref: '#/components/parameters/organizationId'
        - $ref: '#/components/parameters/max'
        - $ref: '#/components/parameters/offset'
        - $ref: '#/components/parameters/processed'
        - $ref: '#/components/parameters/order'
        - $ref: '#/components/parameters/sort'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ArrayOfExports'
              example:
                data:
                  - id: 5872b62a126d458cb385b955c52bc5b2
                    dateCreated: '2019-11-01T07:38:23Z'
                    lastUpdated: '2019-11-01T07:38:23Z'
                    bookingDate: null
                    organizationId: 8ab28c4f6e238a35016e25d39cc60048
                    recipientId: 8ab28c4f6e238a35016e25d39e00004b
                    exportedByEmail: example@findity.com
                    hasContent: false
                    status: PROCESSED
                    accountingBasisUrl: >-
                      https://expense.findity.com/api/admin/expensereports/accountingbasis/5872b62a126d458cb385b955c52bc5b2
                meta:
                  total: 139
                  count: 5
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/401Error'
              example:
                you are not authorized to access this endpoint:
                  value:
                    result: error
                    description: Not authorized
        '404':
          description: Not found error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/400Error'
              examples:
                organization not found:
                  value:
                    result: error
                    code: ORGANIZATION_NOT_FOUND
                    description: Organization not found
                export not found:
                  value:
                    result: error
                    code: EXPORT_NOT_FOUND
                    description: Export not found
components:
  parameters:
    organizationId:
      in: path
      name: organizationId
      required: true
      description: The id of the organization of the user
      schema:
        $ref: '#/components/schemas/Uuid'
      example: 05b8daba9ba14a49846fe77883248cf0
    max:
      name: max
      in: query
      description: Specifies max records to return
      required: false
      schema:
        type: integer
        format: int
        minimum: 1
        maximum: 1000
        default: 10
    offset:
      name: offset
      in: query
      description: The offset to be used in list
      required: false
      schema:
        type: integer
        format: int
        minimum: 0
        default: 0
    processed:
      name: processed
      in: query
      description: Specifies the status of export for filtering
      required: false
      schema:
        type: boolean
        default: null
    order:
      name: order
      in: query
      description: Specifies the order
      required: false
      schema:
        type: string
        enum:
          - asc
          - desc
        default: asc
    sort:
      name: sort
      in: query
      description: Specifies the sort by
      required: false
      schema:
        type: string
        enum:
          - lastUpdated
          - dateCreated
          - organizationId
          - name
          - exportedBy
          - lastDownloaded
          - bookingDate
        default: dateCreated
  schemas:
    ArrayOfExports:
      type: object
      properties:
        meta:
          properties:
            count:
              type: integer
            total:
              type: integer
        data:
          type: array
          items:
            $ref: '#/components/schemas/Export'
      example:
        data:
          - id: 5872b62a126d458cb385b955c52bc5b2
            dateCreated: '2019-11-01T07:38:23Z'
            lastUpdated: '2019-11-01T07:38:23Z'
            bookingDate: null
            organizationId: 8ab28c4f6e238a35016e25d39cc60048
            recipientId: 8ab28c4f6e238a35016e25d39e00004b
            exportedByEmail: example@findity.com
            hasContent: false
            status: PROCESSED
            accountingBasisUrl: >-
              https://expense.findity.com/api/admin/expensereports/accountingbasis/5872b62a126d458cb385b955c52bc5b2
        meta:
          total: 139
          count: 5
    401Error:
      type: object
      properties:
        result:
          type: string
        description:
          type: string
    400Error:
      type: object
      properties:
        result:
          type: string
        code:
          type: string
        description:
          type: string
    Uuid:
      type: string
      pattern: ^[0-9a-fA-F]{32}$
      description: UUID without dashes (32-character hex string)
    Export:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
        dateCreated:
          type: string
          format: date-time
        lastUpdated:
          type: string
          format: date-time
        bookingDate:
          type: string
          format: date-time
        organizationId:
          type: string
        recipientId:
          type: string
        exportedByEmail:
          type: string
        hasContent:
          type: boolean
        accountingBasisUrl:
          type: string
      example:
        id: 5872b62a126d458cb385b955c52bc5b2
        dateCreated: '2019-11-01T07:38:23Z'
        lastUpdated: '2019-11-01T07:38:23Z'
        bookingDate: null
        organizationId: 8ab28c4f6e238a35016e25d39cc60048
        recipientId: 8ab28c4f6e238a35016e25d39e00004b
        exportedByEmail: example@findity.com
        hasContent: false
        status: PROCESSED
        accountingBasisUrl: >-
          https://expense.findity.com/api/admin/expensereports/accountingbasis/5872b62a126d458cb385b955c52bc5b2
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````